package com.gic;

import com.alibaba.fastjson.JSON;
import com.gic.demo.common.utils.UniqueIdUtils;
import com.gic.demo.project.service.dao.mapper.TabGicDemoEnterpriseMapper;
import com.gic.demo.project.service.dao.mapper.TabGicDemoStoreMapper;
import com.gic.demo.project.service.entity.TabGicDemoEnterprise;
import com.gic.demo.project.service.entity.TabGicDemoStore;
import org.apache.commons.lang3.RandomStringUtils;
import org.apache.commons.lang3.RandomUtils;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * Unit test for simple App.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = {"classpath*:applicationContext-conf.xml"})
public class AppTest {

    @Autowired
    private TabGicDemoEnterpriseMapper enterpriseMapper;

    @Autowired
    private TabGicDemoStoreMapper storeMapper;

    @Test
    public void test1() {
        TabGicDemoEnterprise tabGicDemoEnterprise = enterpriseMapper.selectByPrimaryKey("22323423");
        System.out.println(JSON.toJSONString(tabGicDemoEnterprise, true));
    }

    @Test
    public void test2() {
        TabGicDemoStore tabGicDemoStore = storeMapper.selectByPrimaryKey("11b");
        System.out.println(JSON.toJSONString(tabGicDemoStore, true));
    }

    @Test
    public void test3() {
        for (int i = 0; i < 100; i++) {
            String id = UniqueIdUtils.uniqueLongHex();
            System.out.printf("insert >> %s >> %d\r\n", id, i);
            TabGicDemoStore store = new TabGicDemoStore();
            store.setStoreId(id);
            store.setStoreName(RandomStringUtils.random(10,"abcdefghigklmn0123456789"));
            storeMapper.insertSelective(store);
        }
    }

}
