package com.gic.demo.project.service.service.local.impl;

import com.gic.demo.project.service.dao.mapper.TabGicDemoStoreMapper;
import com.gic.demo.project.service.entity.TabGicDemoStore;
import com.gic.demo.project.service.service.local.DemoStoreLocalService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * @author zhurz
 */
@Service
public class DemoStoreLocalServiceImpl implements DemoStoreLocalService {

    @Autowired
    private TabGicDemoStoreMapper mapper;

    /**
     * 根据id查询
     *
     * @param storeId 门店id
     * @return
     */
    @Override
    public TabGicDemoStore findDemoStoreById(String storeId) {
        if (StringUtils.isBlank(storeId)) {
            return null;
        }
        return mapper.selectByPrimaryKey(storeId);
    }
}
